package frc.robot.subsystems;

import com.revrobotics.CANSparkMax;
import com.revrobotics.CANSparkLowLevel.MotorType;

import edu.wpi.first.wpilibj2.command.Command;
import edu.wpi.first.wpilibj2.command.SubsystemBase;

public class IntakeRollers extends SubsystemBase {
    private CANSparkMax motor1;

    public IntakeRollers() {
        motor1 = new CANSparkMax(0, MotorType.kBrushless);
    }

    public Command runIntakeRollers(double speed) {
        return run(() -> {
            motor1.set(speed);
        });
    }

    public Command stopIntakeRollers() {
        return run(() -> {
            motor1.set(0);
        });
    }
}
