package frc.robot.subsystems;

import com.revrobotics.CANSparkMax;
import com.revrobotics.CANSparkLowLevel.MotorType;

import edu.wpi.first.wpilibj2.command.Command;
import edu.wpi.first.wpilibj2.command.SubsystemBase;

public class Shooter extends SubsystemBase {
    private CANSparkMax motor1;
    private CANSparkMax motor2;

    public Shooter() {
        motor1 = new CANSparkMax(0, MotorType.kBrushless);
        motor2 = new CANSparkMax(0, MotorType.kBrushless);

        motor2.follow(motor1);
        motor2.setInverted(true);
    }

    public Command runShooter(double speed) {
        return run(() -> {
            motor1.set(speed);
        });
    }

    public Command stopShooter() {
        return run(() -> {
            motor1.set(0);
        });
    }
}
